Deleted topics deleted edits shouldn't appear in recent changes
Closed, ResolvedPublic

Description

Only the delete action should appear in recent changes if a topic has been deleted. This is for consistency with core behavior and to make recent changes cleaner. It's very hard to keep track of mw.org's rc due to the ongoing mass spam attack there.


The RecentChanges API has the same behavior as the page in this regard.

See also T116326: Hide all actions connected to deleted boards from RC and watchlist.

Glaisher created this task.Oct 20 2015, 6:09 PM
Glaisher updated the task description. (Show Details)
Glaisher raised the priority of this task from to Needs Triage.
Glaisher added a subscriber: Glaisher.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 20 2015, 6:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

It'd be nice if this could be prioritized and quickly fixed. Patrolling recent changes at MediaWiki.org is very hard currently due to the spam attack there.

Quiddity triaged this task as High priority.Oct 21 2015, 3:45 PM
Quiddity set Security to None.

This is a current example

Change 248314 had a related patch set uploaded (by Matthias Mullie):
Remove RC spam for moderated topics

https://gerrit.wikimedia.org/r/248314

Change 248314 merged by jenkins-bot:
Remove RC spam for moderated topics

https://gerrit.wikimedia.org/r/248314

Etonkovidova added a subscriber: Etonkovidova.EditedOct 27 2015, 10:43 PM

Checked in betalabs - topic 'Topic1 to be deleted' was deleted from 'Talk:ET46'

  1. History before deletion:

History after topic deletion

  • 'changed the topic title' action is still there
  • 'commented' and 'created topic summary' actions are gone
    • previous delete/restore/hide actions on the topic also not filtered out
  1. 'Recent changes' - display references to actions in #1. 'Recent changes' match 'History' after topic deletion

  1. Watchlist - the same as History after topic deletion
  1. User contributions - the same as History after topic deletion

Should the following be addressed?

'changed the topic title' action is still there
previous delete/restore/hide actions on the topic also not filtered out

@Etonkovidova: did you get those results while you were logged in as a user who has the right to delete things? Does it look different if you're logged out?

I believe " previous delete/restore/hide actions on the topic also not filtered out" is by design.

I commented on the Gerrit about "'changed the topic title' action is still there ", didn't think it required blocking the change.

Quiddity added a subscriber: Quiddity.EditedOct 28 2015, 7:10 PM

I believe what is wanted (please confirm, @Glaisher et al?) is for deleted topics to only show up in RC, as entries in the (deletion log).
E.g. (like for deleted pages) Grouped and ungrouped views:

Other than the edit-title issue, we only show it once (no longer showing the comments, and only one line about the deletion, assuming there's a single deletion action):

This is from ungrouped RC (I made several comments before deleting). Elena showed some screenshots from grouped RC.

Changing the rendering to use "(Deletion log)" is outside the scope of this task. This is about hiding other entries (comments made before the topic was deleted, mainly).

@Catrope
As user that has no right to delete ( the same View history is for non-logged users): the delete action does not display a topic title.
The topic title is displayed when a user clicks on the topic link.

Catrope closed this task as Resolved.Nov 22 2015, 10:43 PM